Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Returns a list of StorageDeviceInfo data about the storage device


GET
/api/v1/{tenantid}/storage-devices

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantid
required
string

OK

object
storageDevices
Array<object>
nullable
object
deviceName
string
nullable
deviceId
string
nullable
deviceType
string
Allowed values: randomAccess stacker mixed
columns
Array<object>
nullable
object
columnNumber
integer format: int32
positions
Array<object>
nullable
object
positionId
integer format: int32
height
number format: double
storeId
string
nullable
labwareId
string
nullable
labwareInfo
object
entityId
string
nullable
barcode
string
nullable
labwareName
string
nullable
incubationDuration
integer format: int64
entryTime
integer format: int64
incubationTimeRemaining
integer format: int64
isReversed
boolean

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable